<?php
class RolBean {

  protected $RolId;
  protected $Descripcion;
  protected $TareaId;
  protected $AccesoGlobal;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaActualizacion;
  protected $UsuarioActualizacion;
  
  protected $DateBegin;
  protected $DateEnd;
  
	protected $Mensaje;
	protected $Error;

  public function getRolId(){
    return $this->RolId;
  }
  public function setRolId($vl){
    $this->RolId = $vl;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($vl){
    $this->Descripcion = $vl;
  }

  public function getTareaId(){
    return $this->TareaId;
  }
  public function setTareaId($vl){
    $this->TareaId = $vl;
  }

  public function getAccesoGlobal(){
    return $this->AccesoGlobal;
  }
  public function setAccesoGlobal($vl){
    $this->AccesoGlobal = $vl;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($vl){
    $this->FechaCreacion = $vl;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($vl){
    $this->UsuarioCreacion = $vl;
  }

  public function getFechaActualizacion(){
    return $this->FechaActualizacion;
  }
  public function setFechaActualizacion($vl){
    $this->FechaActualizacion = $vl;
  }

  public function getUsuarioActualizacion(){
    return $this->UsuarioActualizacion;
  }
  public function setUsuarioActualizacion($vl){
    $this->UsuarioActualizacion = $vl;
  }
  
  public function setDateBegin($v){
    $this->DateBegin = $v;
  }
  public function getDateBegin(){
    return $this->DateBegin;
  }
  
  public function setDateEnd($v){
    $this->DateEnd = $v;
  }
  public function getDateEnd(){
    return $this->DateEnd;
  }
  
	public function setMensaje($v){
	  $this->Mensaje = $v;
	}
	public function getMensaje(){
	  return $this->Mensaje;
	}
	
	public function setError($v){
	  $this->Error = $v;
	}
	public function getError(){
	  return $this->Error;
	}

}